# Table Structure for Table 'boardSetup'
# Creation Date : 2001-07-31

CREATE TABLE boardSetup (
  pk int(11) NOT NULL auto_increment,
  boardName varchar(100) NOT NULL default '',
  memoName varchar(100) NOT NULL default '',
  rowsPerAPage int(2) NOT NULL default '0',
  nPageNvgt int(2) NOT NULL,
  fieldbgColorOfList varchar(100) NOT NULL default '',
  fieldTextColorOfList varchar(100) NOT NULL default '',
  fieldTextFontSizeOfList varchar(50) NOT NULL default '',
  fieldTextFontFmlOfList varchar(50) NOT NULL default '',
  textbgColorOfList varchar(100) NOT NULL default '',
  textColorOfList varchar(100) NOT NULL default '',
  textFontSizeOfList varchar(50) NOT NULL default '',
  textFontFmlOfList varchar(50) NOT NULL default '',
  cellpaddingOfList int(2) NOT NULL default '0',
  borderColorOfList varchar(100) NOT NULL default '',
  heightOfList int(2),
  isReply int(1) NOT NULL default '0',
  isHOTICON int(1) NOT NULL default '0',
  cdtOfHOTICON int(3) default NULL,
  isNEWICON int(1) NOT NULL default '0',
  isFILEICON int(1) NOT NULL default '0',
  isLineNumSorting int(1) NOT NULL default '0',
  isWriter int(1) NOT NULL default '0',
  isDate int(1) NOT NULL default '0',
  isCounter int(1) NOT NULL default '0',
  isRecommend int(1) NOT NULL default '0',
  isNO int(1) NOT NULL default '0',
  fieldbgColorOfWrite varchar(50) NOT NULL default '',
  fieldTextColorOfWrite varchar(50) NOT NULL default '',
  fieldTextFontSizeOfWrite varchar(50) NOT NULL default '',
  fieldTextFontFmlOfWrite varchar(50) NOT NULL default '',
  textbgColorOfWrite varchar(100) NOT NULL default '',
  textColorOfWrite varchar(100) NOT NULL default '',
  textFontSizeOfWrite varchar(50) NOT NULL default '',
  textFontFmlOfWrite varchar(50) NOT NULL default '',
  cellpaddingOfWrite int(2) NOT NULL default '0',
  borderColorOfWrite varchar(50) NOT NULL default '',
  heightOfWrite int(2),
  isHTML int(1) NOT NULL default '0',
  isEMAIL int(1) NOT NULL default '0',
  isFileUpLoad int(1) NOT NULL default '0',
  fileUpLoadSize int(1) NOT NULL default '0',
  fieldbgColorOfRead varchar(100) NOT NULL default '',
  fieldTextColorOfRead varchar(50) NOT NULL default '',
  fieldTextFontSizeOfRead varchar(50) NOT NULL default '',
  fieldTextFontFmlOfRead varchar(50) NOT NULL default '',
  textColorOfRead varchar(100) NOT NULL default '',
  textbgColorOfRead varchar(100) NOT NULL default '',
  textFontSizeOfRead varchar(50) NOT NULL default '',
  textFontFmlOfRead varchar(50) NOT NULL default '',
  cellpaddingOfRead int(2) NOT NULL default '0',
  borderColorOfRead varchar(50) NOT NULL default '',
  heightOfRead int(2),
  isRelation int(1) NOT NULL default '0',
  isMEMO int(1) NOT NULL default '0',
  textColorOfMEMO varchar(50) default NULL,
  borderColorOfMEMO varchar(50) default NULL,
  textFontSizeOfMEMO varchar(50) default NULL,
  textFontFmlOfMEMO varchar(50) default NULL,
  bgColorOfMEMO varchar(100) default NULL,
  rstReadLevel int(1) NOT NULL default '0',
  rstWriteLevel int(1) NOT NULL default '0',
  rstIP int(1) NOT NULL default '0',
  rstWords int(1) NOT NULL default '0',
  admin varchar(100) NOT NULL default '',
  adminPW varchar(100) NOT NULL default '',
  header text NOT NULL,
  footer text NOT NULL,
  email text,
  ip text,
  words text,
  emailHeader text,
  adminEmail varchar(100) NOT NULL default '',
  allPageWidth varchar(50) default NULL,
  isListAll int(1) NOT NULL default '0',
  textIndent int(2),
  skinName varchar(100) NOT NULL,
  isBegin int(1) NOT NULL default '1',
  isEnd int(1) NOT NULL default '1',
  isPub int(1) NOT NULL default '0',
  pubName varchar(10),
  nPubs int(1) NOT NULL default '1',
  isPubBold int(1) default '0',
  whereSkin int(1) default '0',
  mouseOverColor varchar(20) default '#FFFFFF',
  isShowBgImage int(1) default '1',
  asadal varchar(100),
  asadalName varchar(50),
  isAsadal int(1) default '0',
  antiSpam int(1) default '0',
  heightOfField int(2),
  dfFontColor varchar(50),
  dfFontSize int(2),
  dfFontFamily varchar(50),
  dfFontHeight int(2),
  isCheckview int(1) not null default 0,
  tableType tinyint(1) not null default 0,
  UNIQUE(boardName),
  UNIQUE(memoName),
  INDEX(boardName),
  INDEX(memoName),
  PRIMARY KEY (pk)
);

CREATE TABLE asaboard_pub (
  pkid int(11) not null auto_increment,
  writer varchar(100),
  subject varchar(100),
  date date,
  count int(5) default '0',
  contents text,
  email varchar(50),
  pw varchar(100),
  ip varchar(50),
  time varchar(10),
  alias varchar(50),
  PRIMARY KEY(pkid)
);

INSERT INTO asaboard_pub(subject,writer,date,count,alias) values('ȳϼ','ƻ',now(),'100','defalut');
INSERT INTO asaboard_pub(subject,writer,date,count,alias) values('ƻ纸(AsaBoard)  1.0 Դϴ.','ƻ',now(),'200','defalut');
INSERT INTO asaboard_pub(subject,writer,date,count,alias) values('ƻ纸(AsaBoard) ƻͳ()  ŲԽԴϴ.','ƻ',now(),'500','defalut');
